Donate to e Foundation | Murena handsets with /e/OS | Own a part of Murena! Learn more

Commit fa220d89 authored by Randy Dunlap's avatar Randy Dunlap Committed by Sam Ravnborg
Browse files

kbuild: minor scripts/decodecode update



Remove the tmp file when exiting.  Noticed by Arjan van de Ven.
Catch mktemp failure and exit with message.
Trap kill or other signals and exit cleanly.

Signed-off-by: default avatarRandy Dunlap <randy.dunlap@oracle.com>
Signed-off-by: default avatarSam Ravnborg <sam@ravnborg.org>
parent 80daa560
Loading
Loading
Loading
Loading
+15 −2
Original line number Diff line number Diff line
@@ -6,7 +6,19 @@
# e.g., to decode an i386 oops on an x86_64 system, use:
# AFLAGS=--32 decodecode < 386.oops

T=`mktemp`
cleanup() {
	rm -f $T $T.s $T.o
	exit 1
}

die() {
	echo "$@"
	exit 1
}

trap cleanup EXIT

T=`mktemp` || die "cannot create temp file"
code=

while read i ; do
@@ -20,6 +32,7 @@ esac
done

if [ -z "$code" ]; then
	rm $T
	exit
fi

@@ -48,4 +61,4 @@ echo -n " .byte 0x" > $T.s
echo $code >> $T.s
as $AFLAGS -o $T.o $T.s
objdump -S $T.o
rm $T.o $T.s
rm $T $T.s $T.o